Set up default handler

- « xml_set_character_data_handler

- xml_set_element_handler »

- PHP Manual
- XML Parser Functions
- Set up default handler

# xml_set_default_handler

(PHP 4, PHP 5, PHP 7, PHP 8)

xml_set_default_handler — Set up default handler

### Description

xml_set_default_handler(XMLParser `$parser`, callable `$handler`): true

Sets the default handler function for the XML parser `parser`.

### Parameters

`parser`

  The XML parser.

`handler`

  If `null` or an empty string is passed, the handler is reset to its default state.

  If `handler` is a callable, the callable is set as the handler.

  If `handler` is a string, it can be the name of a method of an object set with xml_set_object().

  The signature of the handler must be:

  handler(XMLParser `$parser`, string `$data`): void
  `parser`
    The XML parser calling the handler.
  `data`
    `data` contains the character data. This may be the XML declaration, document type declaration, entities or other data for which no other handler exists.

### Return Values

Always returns `true`.

### Changelog

Version | Description
--- | ---
8.0.0 | `parser` expects an XMLParser instance now; previously, a valid `xml` resource was expected.